# Generated by Django 3.1.6 on 2021-02-16 09:58

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='название города')),
            ],
            options={
                'verbose_name': 'Город',
                'verbose_name_plural': 'Города',
            },
        ),
        migrations.CreateModel(
            name='Color',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='цвет')),
                ('colors', models.CharField(help_text='#FFFFFF', max_length=100, verbose_name='цвет в RGB')),
            ],
            options={
                'verbose_name': 'Цвет одежды',
                'verbose_name_plural': 'Цвет',
            },
        ),
        migrations.CreateModel(
            name='Size',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sizes', models.CharField(max_length=100, verbose_name='размер')),
            ],
            options={
                'verbose_name': 'Размер',
                'verbose_name_plural': 'Размер',
            },
        ),
        migrations.CreateModel(
            name='Type',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('choice', models.CharField(max_length=100, verbose_name='тип одежды')),
            ],
            options={
                'verbose_name': 'Тип одежды',
                'verbose_name_plural': 'Тип одежды',
            },
        ),
        migrations.CreateModel(
            name='Thing',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='название одежды')),
                ('description', models.CharField(max_length=500, verbose_name='описание')),
                ('prise', models.IntegerField(verbose_name='цена')),
                ('quantity_warehouse', models.IntegerField(verbose_name='колличество на складе')),
                ('city_access', models.ManyToManyField(to='core.City', verbose_name='города по наличию')),
                ('thing_size', models.ManyToManyField(to='core.Size', verbose_name='размер')),
            ],
            options={
                'verbose_name': 'Вещи',
                'verbose_name_plural': 'Вещи',
            },
        ),
        migrations.AddField(
            model_name='size',
            name='type_choice',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.type', verbose_name='тип одежды'),
        ),
        migrations.CreateModel(
            name='Photo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('photos', models.ImageField(upload_to='', verbose_name='фото')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.thing', verbose_name='Тип объекта')),
                ('thing_color', models.ManyToManyField(to='core.Color', verbose_name='цвет')),
            ],
            options={
                'verbose_name': 'Фото',
                'verbose_name_plural': 'Фотографии',
            },
        ),
    ]
